Софтпанорама 1991, No. 10 (24) *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ╔═════════════════════════════════════╗
                 ║  П А Н О Р А М А   Н О В О С Т Е Й  ║
                 ╚═════════════════════════════════════╝

***************************  ОДНОЙ СТРОКОЙ ****************************
************************ (КРАТКАЯ ИНФОРМАЦИЯ) *************************
    Компиляторы  созрели  к  ноябрю.  Три  новых продукта фирмы Борланд:
Borland C++ 3.0 ($495), Application Frameworks 3.0(Turbo Vision для С++)
и Turbo C++ for Windows. В компиляторах реализована версия 2.1 языка С++
с  темплейтами,  но  еще  без  средств  обработки прерываний. 
    QuickC for Windows  за $119 -  Микрософт наносит контрудар  на ринге
Windows.  Zortex  3.0  -  лебединая  песня  фирмы (Semantec слопал фирму
Zortex).  
    Библиотеки для  С++ перестают  быть редкостью:  Codebase++ Greanleaf
Сomm C++, Win++ (библиотека  для Windows). 
    Дизассемблер фирмы  Advantage теснит Sourcer. 
    Asm Flow Professional.
    PVCS -  контроль версий  в MS  DOS. 
    Quarterdesk Desqview/X - Unix X Window System пришла в MS DOS.
    Vedit Plus 3.50 - версия со спускающимися меню.
    Lotus 1-2-3 for Windows. 
    Zip 2.0 + Zip на Unix. 
    Потеснит ли Q&A Paradox среди пользователей-непрофессионалов.
    Десктопы  сопротивляются  нашествию  лаптопов  и ноутбуков: блестящая
идея (монитор  фирмы Radius  превращается из  ландшафтного в  портретный
простым переворотом экрана вокруг  оси) и рекламные хиты  (сменные платы
процессора  -  радость  для  простаков;  мышь с инфракрасным "проводом";
"сплюснутые" корпуса  - незаменимы,  если над  вами постоянно проносятся
низколетящие самолеты).
    FIDO растет чуть  ли на 25%  в месяц. Необходима  программа поддержки
региональных узлов FIDO. 
    Новые  киевские узлы FIDO. 
    Цены на стандартные AT подскочили почти вдвое(~ 70-90 тыс.руб.). Це-
ны на AT/386: пора "подаваться в управдомы".
    Внезапные отключения электроэнергии - опасней вирусов-вандалов.
    Пакости - Aziza,  RCE-734, SVC-6.0(новгородская технокрыса  никак не
уймется) и др.
    Полифаг SOS преодалевает барьер 200 вирусов: наши поздравления и на-
илучшие пожелания Евгению Сусликову.
                                                                   Б.Н.Н.

======= NEWS FLASH!  BORLAND ANNOUNCES THREE NEW C++ PRODUCTS! =========

    Borland announced three products --  Borland C++ 3.0, Borland C++  &
Application Frameworks  3.0 and  new Turbo  C++ for  Windows -- would be
shipping before the end of November.

    Borland C++ 3.0 is a professional  C and C++ compiler & toolset  for
creating  DOS  and  Windows  applications.  Borland C++ 3.0 new features
include a global  optimizing compiler, C++  2.1 with templates,  greatly
increased C++  compile speed,  a Windows  hosted integrated  development
environment  with  a  graphical  browser,  Dos  Protected Mode Interface
(DPMI) versions of the DOS compiler and environment, Resource  Workshop,
and many other new features and  tools. Borland C++ 3.0 has a  suggested
retail price of $495.

    Borland C++ &  Application Frameworks 3.0  is the industry  standard
C++  with  ObjectWindows  and  Turbo  Vision.  Borland C++ & Application
Frameworks 3.0 includes the new Borland C++ 3.0 plus our user  interface
class libraries for Windows and DOS. Application frameworks provide  you
with generic user interfaces that  can be customized and extended  using
object-oriented  programming.  They  include  many  ready  made  objects
including menus, dialogs, editors, buttons, scroll bars, and more.  Both
application frameworks  come with  complete source  code. Borland  C++ &
Application Frameworks 3.0 now includes the runtime library source  code
which is normally  sold separately for  $150. Borland C++  & Application
Frameworks 3.0 has a suggested retail price of $749.

    Turbo C++ for Windows is  the fast track to Windows  programming. It
is the first  Windows hosted development  environment for C  and C++. It
provides the more casual C or C++ programmer with an affordable learning
tool for Windows programming. It includes the ObjectWindows  application
framework  to  simplify  Windows  and  a graphical ObjectBrowser to make
understanding OOP  easy. Turbo  C++ for  Windows is  a complete  Windows
programming  environment  --  no  Windows  SDK  is  required.  It  has a
suggested retail price of $149.95.

                           FEATURE OVERVIEW

Borland C++ 3.0 highlights:
 o Global optimization to create code that is faster or smaller
 o Full implementation of both ANSI C and C++ 2.1 with templates
 o Windows and DOS hosted Integrated Development Environments
 o Greatly increased compiler speed for C++ and re-architected to
   compile the largest C++ programs
 o DOS Protected Mode Interface (DPMI) hosted compiler and IDE
 o ObjectBrowser to visually display relationships between code
   objects and to help you navigate through your code.
 o Resource Workshop that lets you "draw" Windows resources such
   as menus, icons, dialogs, etc.
 o EasyWin library that lets you convert DOS applications to
   Windows just by recompiling
 o Pre-compiled Headers that dramatically decrease recompilation
   time.
 o No Microsoft Windows Software Development Kit required.
 o Borland C++ comes with a complete set of tools for creating
   DOS and Windows applications.  It includes:
   - Turbo Debugger with debugging support for optimized code
   - Turbo Profiler now with Windows support and coverage
     analysis
   - Object Oriented Turbo Assembler

Borland C++ & Application Frameworks 3.0 includes:
 o Borland C++ 3.0
 o Turbo Vision - application framework for DOS:
 o ObjectWindows - Application Frameworks for Windows:
 o Source code for Turbo Vision, Object Windows and the Runtime
   Library

Turbo C++ for Windows highlights:
 o Full implementation of both ANSI C and C++ 2.1 with templates
 o Windows hosted Integrated Development Environment (IDE)
 o ObjectWindows application framework
 o ObjectBrowser graphical source browser
 o SpeedBar -- convenient icons for commonly used functions
 o Turbo Debugger for Windows
 o Resource Workshop
 o EasyWin library
 o No Microsoft Windows Software Development Kit required.


Borland C++ product line will now look like this:

                             DOS               WINDOWS
___________________________________________________________________
                         Turbo C++         Turbo C++ for Windows
Entry level              SRP: $99.95       SRP: $149.95
programmer               Turbo C++ & Turbo Vision
                         SRP: $199.95
___________________________________________________________________

Professional             Borland C++        Borland C++
                         SRP $495.00
programmer               Borland C++ & AF   Borland C++ & AF
                         SRP $749.00
___________________________________________________________________


UPGRADE INFORMATION
__________________________________________________________________

From\To           Turbo C++     Borland C++ 3.0   Borland C++ &
                  for Windows                     Application
                                                  Frameworks 3.0
__________________________________________________________________
TC++,TC           89.95             -----             -----
TP,dBase          99.95             -----             -----
BC++,TC++Pro,     -----             125.00            199.95
BC++&AF 2.0       -----             -----              FREE
__________________________________________________________________


                         QUESTIONS AND ANSWERS


     Q:  What version of C++ does Borland C++ 3.0 support?
     A: Borland C++ 3.0 implements  the AT&T C++ v2.1 specification.  In
addition, Borland C++ 3.0  supports templates, which have  been approved
by the ANSI C++ committee. Exceptions have not been implemented.

     Q:  If I only program for DOS, should I buy Borland C++ 3.0?
     A: Yes. Many  of Borland C++'s  new features will  directly benefit
the DOS programmer including the global optimizer, C++ 2.1 support  with
templates,  increase  compile  speed  for  C++,  enhancements  to  Turbo
Debugger, Turbo  Profiler and  object oriented  programming support  for
Turbo Assembler.

    Q: What is the difference between Borland C++ 3.0 and Turbo C++  for
Windows 3.0?
    A: Borland C++ 3.0 is Borland's professional development environment
for both DOS and  Windows applications, and comes  with a full suite  of
professional command-line and IDE tools including global  optimizations.
Turbo C++ for Windows is  an entry-level product for developing  Windows
applications and includes the ObjectWindows Application Framework.

    Q: What is the price of Turbo C++ for Windows and its upgrade  price
for Turbo C++ and Borland C++ 2.0 users?
    A: Turbo C++  for Windows has  a suggested retail  price of $149.95,
any  Borland  language  user  that  owns  Turbo C, Turbo C Professional,
Borland C++ 2.0 or Turbo C++ can upgrade for $89.95.

    Q:  If  I  only  program  for  Windows,  should  I buy Borland C++ &
Application Frameworks 3.0, Borland C++ 3.0 or Turbo C++ for Windows?
    A:  All   three   products  are   capable   of  generating   Windows
applications, but Borland C++ & Application Frameworks 3.0 includes  all
of the  tools that  a professional  developer would  require for DOS and
Windows and has  a retail price  of $749. Borland  C++ 3.0, which  has a
retail price of $495, is ideal for professionals programming for DOS  or
Windows  in  C.  Turbo  C++  for  Windows  is  intended  for more casual
programmers who want to learn  how to simplify Windows programming  with
OOP. It  has a  suggested retail  price of  $149.95 and  comes with  the
ObjectWindows library.

    Q: If I upgrade  to Borland C++ 3.0,  do I need a  new ObjectWindows
library?
    A: If you  currently own Borland  C++ 2.0 and  have upgraded to  the
Application Frameworks, which  includes ObjectWindows, you  will receive
Borland C++ 3.0 & Application Frameworks at no charge.

    Q: If I currently have the Application Frameworks, how much does  it
cost to upgrade to Borland C++ & Application Frameworks 3.0?
    A:  There  is  no  charge  to  upgrade  to Borland C++ & Application
Frameworks 3.0. It will be provided as an automatic free upgrade.

    Q:  If  I  have  already  purchased  Resource  Workshop,  do I get a
discount  on  the  purchase  of  Turbo  C++  for Windows, which includes
Resource Workshop?
    A:  No.  Turbo  C++  for  Windows  includes  the Windows-hosted IDE,
ObjectWindows,  EasyWin,  Turbo  Debugger   for  Windows  and   Resource
Workshop. It reflects an outstanding value at $149.95.

    Q: Does Borland C++ 3.0 have any limitation in the size of files  it
can compile?
    A: No. Borland C++ 3.0 has been completely re-architected to  handle
the intensive  symbol table  requirements of  C++. Borland  C++ 3.0  has
compiled the largest PC  based C++ applications available  under Windows
and DOS today.

    Q:  How can I convert my DOS programs to Windows?
    A: Turbo  C++ for  Windows and  Borland C++  3.0 feature the EasyWin
library that allows DOS applications that use standard input and  output
to be run under Windows without changing a single line code. The  result
is a fully functioning Windows application.

    Q:  Does Borland C++ 3.0 have a Windows hosted IDE?
    A: Yes. Borland C++ 3.0 includes the Windows IDE from Turbo C++  for
Windows.

    Q:  Can Turbo C++ for Windows create DOS applications?
    A: No. Turbo C++ for Windows creates Windows applications. Turbo C++
2nd edition, and Borland C++ 3.0 support DOS application development.

    Q:  Does  Turbo  C++  for  Windows  have  full  support for resource
editing?
    A: The Resource  Workshop is included  in Turbo C++  for Windows. It
has  full  support  for  editing  all Windows resources and user-defined
resources    including    menus,    bitmaps,   dialogs,  string  tables,
accelerators, icons, and dialog controls. It can edit resources in .exe,
.rc, .dlg. .bmp, .ico, and .res files. The Resource Workshop is easy  to
use, yet fully featured.

    Q:  Does  the  Windows  IDE  provide  the capability to optimize the
executable it generates for size or speed?
    A: Yes, it  includes register and  jump optimizations. To  take full
advantage of our global optimizing  compiler, the character mode IDE  or
the command line compiler must be used.

    Q:  What is object-oriented assembler?
    A:  The  addition  of  object-oriented  data  structures gives Turbo
Assembler  the  power  to  easily  create object-oriented programs while
retaining the speed and flexibility of assembler.

    Q:  Why did you add OOP extensions to Turbo Assembler?
    A: Assembly-language  programmers have  always sought  ways to  make
their work easier with extensions such as macros and directives. Object-
oriented  features  allow  data   structures  to  be  encapsulated   and
inherited.  This  removes  dependencies  that  hinder maintenance, saves
work, and in general makes assembly-language programming more effective.

    Q: What  is the  difference between  Borland C++  and the  Microsoft
Windows SDK?
    A:  Borland  C++  is  a  professional  DOS  and  Windows development
environment. It includes a C and C++ compiler with all the tools  needed
to develop a Windows application without purchasing the Windows SDK. The
Microsoft Windows SDK is a supplement to Microsoft C 6.0, which includes
some libraries  and tools  that are  not available  from Borland.  These
tools are not required for Windows application development.

    Q:  Does Borland C++ come with the debugging version of Windows?
    A: The debugging version Windows which comes with the MS Windows SDK
is now available  through resellers for  $195. Borland does  not include
this operating system with Borland C++.

    Q:  How will I get Windows 3.1 support?
    A: When Microsoft ships Windows 3.1, Borland will make available  to
all of Borland C++ 3.0 and  Turbo C++ for Windows 3.0 users,  an upgrade
kit that will  give them full  Windows 3.1 support.  No Windows 3.1  SDK
will be required.

    Q:  When will Borland C++ support Windows 3.1?
    A:  Borland  C++  currently  supports  beta versions of Windows 3.1.
Users beta testing the Windows 3.1 SDK can download the necessary  files
for Borland C++ from  Compuserve. Once Windows 3.1  becomes commercially
available, we will make an update available that provides the  necessary
files  and  documentation  to  support  the  development  of Windows 3.1
applications.

    Q:  Can I compile OS/2 applications with Borland C++?
    A:  If  you  develop  applications  using  ObjectWindows,  you  will
maintain the  highest degree  of portability  for OS/2.  Borland C++ for
OS/2 2.0 will not be available until the third quarter 1992.

    Q:  When will Borland C++ for OS/2 2.0 be available?
    A: Borland C++  for OS/2 2.0  goes to beta  in the first  quarter of
1992 and  will be  commercially available  in the  third quarter.  Early
betas willbe available by year end.

    Q:  Is Borland C++ going to support Windows NT?  When?
    A: Yes. Borland  is actively developing  32 bit compiler  technology
for Windows NT. Beta test  versions will be available after  Microsoft's
broad release of the NT SDK beta.

    Q:  Why is Turbo C++ for Windows version number 3.0?
    A: Turbo C++ for Windows  uses the same, third generation,  compiler
that is found in the latest version of Borland C++.

    Q:  What are the hardware requirements for Borland C++ 3.0?
    A: Borland C++ 3.0 requires a 286 with at least 512K of base  memory
and 1 megabyte  of extended memory.  A minimum of  two (2) megabytes  of
extended memory is required for the Windows IDE.


********* В феврале в Москве состоится "антивирусный" семинар ***********

     Совместное советско-американское  предприятие   "Диалог",   Научный
центр  "Диалог" при ВЦ Академии наук,  фирма "Диалог-Реклама" проводят в
Москве 26-27 февраля 1992 г.  семинар пользователей персональных ЭВМ "MS
DOS: Компьютерные вирусы и защита от них".
     Семинар ориентирован  на  широкий  круг пользователей.  Планируемые
доклады и сообщения будут носить, в основном, учебный характер.
     В программе будут освещены следующие вопросы:
     - общие проблемы компьютерной вирусологии, мифы и реальность;
     - классификация вирусов и средств защиты от них;
     - обзор отечественных и зарубежных антивирусных средств;
     - интегрированные антивирусные системы, полифаги;
     - детекторы и ревизоры, контроль целостности в MS DOS, резидентные
       программы защиты, методы контроля "on the fly";
     - нетрадиционные методы защиты от вирусов,
       незаражаемые и самоизлечивающиеся программы;
     - методика комплексного использования средств защиты;
     - компьютерные вирусы и сети, BBS, E-mail;
     - аппаратные и аппаратно-программные средства защиты;
     - организационные и юридические меры защиты от вирусов;
     - защита от несанкционированного копирования.
     В рамках семинара предполагается демонстрация коммерческих  антиви-
русных средств.
     Руководитель семинара - доц. Николай Николаевич Безруков. В семина-
ре примут участие ведущие вирусологи Лозинский  Д.Н.,  Касперский  Е.В.,
Мостовой Д.Ю., Сесса А.В., Сусликов Е.Н., Купчс М. и др.
     Участники семинара получат:
     - типографски  изданную книгу Н.Н.Безрукова "Компьютерная вирусоло-
гия" (Укр.сов.энцикл., 1991.- 416 с.),
     - две  дискеты  с  набором некоммерческих антивирусных программ и с
последними (на день семинара) версиями антивирусных программ "Диалога" -
Aidstest, Adinf.
     Полный текст информационного письма опубликован в выпуске B данного
номера.

                                                                   Б.Н.Н.

